Public Class Service1
  Implements IService1
  Public Function ObtenerTfno(tf As String) As telefono _
    Implements IService1.ObtenerTfno
    Return New telefonosBll().ObtenerTfnoBll(tf)
  End Function

  Public Function ObtenerTfnos() As List(Of Detalles) _
    Implements IService1.ObtenerTfnos
    Return New telefonosBll().ObtenerTfnosBll()
  End Function

  Public Sub ActualizarTfno(entidad As telefono) _
    Implements IService1.ActualizarTfno
    CType(New telefonosBll(), telefonosBll).ActualizarTfnoBll(entidad)
  End Sub

  Public Sub AgregarTfno(entidad As telefono) _
    Implements IService1.AgregarTfno
    CType(New telefonosBll(), telefonosBll).AgregarTfnoBll(entidad)
  End Sub
  Public Sub BorrarTfno(entidad As telefono) _
    Implements IService1.BorrarTfno
    CType(New telefonosBll(), telefonosBll).BorrarTfnoBll(entidad)
  End Sub
End Class
